# create-nemean

Creates a UmiJS application/plugin/block/library using the command line.

[![NPM version](https://img.shields.io/npm/v/create-umi.svg?style=flat)](https://www.npmjs.com/package/create-nemean) [![NPM downloads](http://img.shields.io/npm/dm/create-umi.svg?style=flat)](https://www.npmjs.com/package/create-nemean)

## Usage

```bash
$ yarn create nemean [appName]
```

## Boilerplates

- `ant-design-pro` - Create project with a layout-only ant-design-pro boilerplate, use together with umi block.
- `app` - Create project with a simple boilerplate, support typescript.
- `block` - Create a umi block.
- `library` - Create a library with umi.
- `plugin` - Create a umi plugin.

## Usage Example

```bash
$ yarn create nemean

? Select the boilerplate type (Use arrow keys)
  ant-design-pro  - Create project with a layout-only ant-design-pro boilerplate, use together with umi block.
❯ app             - Create project with a simple boilerplate, support typescript.
  block           - Create a umi block.
  library         - Create a library with umi.
  plugin          - Create a umi plugin.

? Do you want to use typescript? (y/N)

? What functionality do you want to enable? (Press <space> to select, <a> to toggle all, <i> to invert selection)
❯◯ antd
 ◯ dva
 ◯ code splitting
 ◯ dll

  create abc/package.json
  create abc/.gitignore
  create abc/.editorconfig
  create abc/.env
  create abc/.eslintrc
  create abc/.prettierignore
  create abc/.prettierrc
  create abc/.umirc.js
  create abc/mock/.gitkeep
  create abc/src/assets/yay.jpg
  create abc/src/global.css
  create abc/src/layouts/index.css
  create abc/src/layouts/index.tsx
  create abc/src/pages/index.css
  create abc/src/pages/index.tsx
  create abc/tsconfig.json
  create abc/typings.d.ts
 📋  Copied to clipboard, just use Ctrl+V
 ✨  File Generate Done
```

## FAQ

### `yarn create nemean` command failed

这个问题基本上都是因为没有添加 yarn global module 的路径到 PATH 环境变量引起的。

先执行 `yarn global bin` 拿到路径，然后添加到 PATH 环境变量里。

```bash
$ yarn global bin
/usr/local/bin
```

你也可以尝试用 npm，

```bash
$ npm create nemean appName
```

或者手动安装 create-nemean，并执行他，

```bash
$ npm install create-nemean -g
$ create-nemean
```

## Questions & Suggestions

Please open an issue [here](http://platform.kuopu.net:9999/gitlab/nemean-group/nemean-pro/issues).

## LICENSE

MIT
